unit fjf260v;

interface

procedure foo; asmname 'vfoo';

implementation

procedure foo;
begin
  writeln ('failed')
end;

end.

unit fjf260w;

interface

uses fjf260v;

procedure foo; asmname 'wfoo';

implementation

procedure foo;
begin
  writeln ('OK')
end;

end.
program fjf260b;

uses fjf260v, fjf260w;

begin
  foo
end.
